Bug 238170 - Mk/bsd.port.mk: Remove no-op USE_LIBRUBY variable
Summary: Mk/bsd.port.mk: Remove no-op USE_LIBRUBY variable
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-27 12:27 UTC by Alex Kozlov
Modified: 2020-10-11 11:58 UTC (History)
5 users (show)

See Also:


Attachments
Remove no-op (since r425166) USE_LIBRUBY variable (351 bytes, text/plain)
2019-05-27 12:27 UTC, Alex Kozlov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Kozlov freebsd_committer 2019-05-27 12:27:56 UTC
Created attachment 204650 [details]
Remove no-op (since r425166) USE_LIBRUBY variable
Comment 1 Koichiro Iwao freebsd_committer 2019-12-09 07:17:18 UTC
swills@, can you have a look at this?
Comment 2 Rene Ladan freebsd_committer 2020-10-10 13:23:02 UTC
This indeed looks like a stray variable, it is also unmentioned in the doc tree.
Comment 3 Koichiro Iwao freebsd_committer 2020-10-10 18:58:26 UTC
(In reply to Rene Ladan from comment #2)
Let me know the correct procedure to commit this. Does this need explicit portmgr's approval?
Comment 4 Adam Weinberger freebsd_committer 2020-10-11 03:54:50 UTC
It does need explicit approval, and you have it. Please go for it whenever you're ready.

Thank you for taking care of this!
Comment 5 commit-hook freebsd_committer 2020-10-11 11:54:43 UTC
A commit references this bug:

Author: meta
Date: Sun Oct 11 11:53:57 UTC 2020
New revision: 552055
URL: https://svnweb.freebsd.org/changeset/ports/552055

Log:
  Mk/bsd.port.mk: Remove no-op USE_LIBRUBY variable

  PR:		238170
  Submitted by:	ak
  Approved by:	portmgr (adamw)

Changes:
  head/Mk/bsd.port.mk
Comment 6 Koichiro Iwao freebsd_committer 2020-10-11 11:58:52 UTC
Committed, thanks for the feedback!